|  | reflex::Pattern::Const Struct Reference updated Fri May 16 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Attributes | List of all members
reflex::Pattern::Const Struct Reference

Common constants. More...

`#include <pattern.h>`

## Static Public Attributes
static const Index | IMAX = 0xffffffff
| max index, also serves as a marker More...
static const Index | GMAX = 0xfeffff
| max goto index More...
static const Accept | AMAX = 0xfdffff
| max accept More...
static const Index | LMAX = 0xfaffff
| max lookahead index More...
static const Index | LONG = 0xfffe
| LONG marker for 64 bit opcodes, must be HALT-1. More...
static const Index | HALT = 0xffff
| HALT marker for GOTO opcodes, must be 16 bit max. More...
static const Hash | HASH = 0x1000
| size of the predict match array More...
static const Hash | BTAP = 0x0800
| size of the bitap hashed character pairs array More...
static const Bitap | BITS = 8
| number of bitap bits, may change in a future update More...

## Detailed Description

Common constants.

## Member Data Documentation

const Accept reflex::Pattern::Const::AMAX = 0xfdffff
| static

max accept

const Bitap reflex::Pattern::Const::BITS = 8
| static

number of bitap bits, may change in a future update

const Hash reflex::Pattern::Const::BTAP = 0x0800
| static

size of the bitap hashed character pairs array

const Index reflex::Pattern::Const::GMAX = 0xfeffff
| static

max goto index

const Index reflex::Pattern::Const::HALT = 0xffff
| static

HALT marker for GOTO opcodes, must be 16 bit max.

const Hash reflex::Pattern::Const::HASH = 0x1000
| static

size of the predict match array

const Index reflex::Pattern::Const::IMAX = 0xffffffff
| static

max index, also serves as a marker

const Index reflex::Pattern::Const::LMAX = 0xfaffff
| static

max lookahead index

const Index reflex::Pattern::Const::LONG = 0xfffe
| static

LONG marker for 64 bit opcodes, must be HALT-1.

The documentation for this struct was generated from the following file:

- pattern.h